# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

import PGOpenGLUtils
import Preferences

def postDrawCell(state, coord, scale):
    # draw translucent overlay to indicate zones
    zone = state.zone_for_position(coord)
    if zone>0:    
        color = Preferences.prefs.player_color(zone, as_float=True)
        PGOpenGLUtils.draw_cube_overlay(coord, color, scale, 0.3)
